using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Net;

[ComImport]
[TypeLibType(4160)]
[SuppressUnmanagedCodeSecurity]
[Guid("B04FC03E-504A-4711-AB82-6258149AB8E9")]
public interface INetworkFilter
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1)]
	void Dispatch([MarshalAs(UnmanagedType.Interface)] IMessage Message);
}
